## org.apache.hadoop.mapred.lib
Class BinaryPartitioner<V>

    java.lang.Object
      org.apache.hadoop.mapreduce.Partitioner<BinaryComparable,V>
          org.apache.hadoop.mapreduce.lib.partition.BinaryPartitioner<V>
              org.apache.hadoop.mapred.lib.BinaryPartitioner<V>

All Implemented Interfaces:
  Configurable, JobConfigurable, Partitioner<BinaryComparable,V>

    public class BinaryPartitioner<V>

extends BinaryPartitioner<V>
implements Partitioner<BinaryComparable,V>

Partition `BinaryComparable` keys using a configurable part of the bytes array returned by `BinaryComparable.getBytes()`.

See Also:
  `BinaryPartitioner`

Constructor Summary
`BinaryPartitioner()`

Method Summary
`void` `configure(JobConf job)` Initializes a new instance from a `JobConf`.

Methods inherited from class org.apache.hadoop.mapreduce.lib.partition.BinaryPartitioner
`getConf, getPartition, setConf, setLeftOffset, setOffsets, setRightOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.Partitioner
`getPartition`

Constructor Detail

### BinaryPartitioner

    public BinaryPartitioner()

Method Detail

### configure

    public void configure(JobConf job)

  Description copied from interface: `JobConfigurable`
  Initializes a new instance from a `JobConf`.

  Specified by:
    `configure` in interface `JobConfigurable`
  Parameters:
    `job` - the configuration

Copyright © 2009 The Apache Software Foundation